Groovy 1.7.10

## groovy.ui
[Java] Class ConsoleSupport

    java.lang.Object
      groovy.ui.ConsoleSupport

    public abstract class ConsoleSupport
    extends Object

Base class for console

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Method Summary
`protected void` | `addStylesToDocument(JTextPane outputArea)`
`protected Object` | `evaluate(String text)`
`Style` | `getCommandStyle()`
`Style` | `getOutputStyle()`
`Style` | `getPromptStyle()`
`GroovyShell` | `getShell()`
`protected void` | `handleException(String text, Exception e)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### addStylesToDocument

    protected void addStylesToDocument(JTextPane outputArea)

### evaluate

    protected Object evaluate(String text)

### getCommandStyle

    public Style getCommandStyle()

### getOutputStyle

    public Style getOutputStyle()

### getPromptStyle

    public Style getPromptStyle()

### getShell

    public GroovyShell getShell()

### handleException

    protected void handleException(String text, Exception e)

Copyright © 2003-2010 The Codehaus. All rights reserved.